Dynatrace web UI requirements

Dynatrace can run on the following browsers.

Browser Versions
Microsoft Edge Latest version (desktop and mobile)
Mozilla Firefox Latest version (desktop)
Google Chrome Latest version (desktop and mobile)
Safari 10+ (OS X and iOS)

HTTPS requirements

As of June 30, 2019, you must enable the TLS 1.2 protocol in your browser to access the Dynatrace web UI. All modern browsers use TLS 1.2 by default.

After June 30, 2019, you won't be able to access the Dynatrace web UI using TLS 1.0 or TLS 1.1.

End of support for Internet Explorer 11

As of June 30, 2019, we'll only work on critical issues related to Internet Explorer 11. As of September 30, 2019, you won't be able to access the Dynatrace web UI using Internet Explorer 11.

Supported browsers for session replay

Browser Versions
Google Chrome 67+